Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228356 - multi-lib conflicts
Summary: multi-lib conflicts
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: codeblocks
Version: rawhide
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dan Horák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE7Target
TreeView+ depends on / blocked
 
Reported: 2007-02-12 19:56 UTC by Michael Schwendt
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-13 18:08:28 UTC


Attachments (Terms of Use)

Description Michael Schwendt 2007-02-12 19:56:24 UTC
codeblocks - 1.0-0.21.20070125svn3540.fc7.x86_64
  Conflicts: 12
  File conflict in:
     /usr/share/codeblocks/todo.zip
     /usr/share/codeblocks/autosave.zip
     /usr/share/codeblocks/start_here.zip
     /usr/share/codeblocks/manager_resources.zip
     /usr/share/codeblocks/compiler.zip
     /usr/share/codeblocks/codecompletion.zip
     /usr/share/codeblocks/resources.zip
     /usr/share/codeblocks/astyle.zip
     /usr/share/codeblocks/classwizard.zip
     /usr/share/codeblocks/defaultmimehandler.zip
     /usr/share/codeblocks/debugger.zip
     /usr/share/codeblocks/scriptedwizard.zip
  Packages with the same files:
     codeblocks - 1.0-0.21.20070125svn3540.fc7.i386

Comment 1 Dan Horák 2007-02-13 10:01:37 UTC
The zip files are generated during the build process, but on all arches they
have the same content. So as a workaround I will explicitly set their timestamp.

Comment 2 Michael Schwendt 2007-02-13 10:36:21 UTC
Does that result in the file checksums being the same on i386 and x86_64?

Is codeblocks.i386 needed on x86_64 anyway? It is only available,
because codeblocks-devel exists (a plug-in API). How about splitting
off the libraries of the main package into a codeblocks-libs package?

Comment 3 Dan Horák 2007-02-13 11:59:55 UTC
Oh, the checksums are not the same, because the source files are touched with
dos2unix. But it could be worked around.

I don't think that anybody could need codeblock.i386 on x86_64. So creating the
libs subpackage seems as good solution.

Comment 4 Dan Horák 2007-02-13 18:08:28 UTC
Created the libs subpackage, build requested (27471)


Note You need to log in before you can comment on or make changes to this bug.